/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * A CAA record.
 *
 */
class CaaRecord {
  /**
   * Create a CaaRecord.
   * @member {number} [flags] The flags for this CAA record as an integer
   * between 0 and 255.
   * @member {string} [tag] The tag for this CAA record.
   * @member {string} [value] The value for this CAA record.
   */
  constructor() {
  }

  /**
   * Defines the metadata of CaaRecord
   *
   * @returns {object} metadata of CaaRecord
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'CaaRecord',
      type: {
        name: 'Composite',
        className: 'CaaRecord',
        modelProperties: {
          flags: {
            required: false,
            serializedName: 'flags',
            type: {
              name: 'Number'
            }
          },
          tag: {
            required: false,
            serializedName: 'tag',
            type: {
              name: 'String'
            }
          },
          value: {
            required: false,
            serializedName: 'value',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = CaaRecord;
