/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

const models = require('./index');

/**
 * Represents the properties of the Dns Resource Reference Result.
 *
 */
class DnsResourceReferenceResult {
  /**
   * Create a DnsResourceReferenceResult.
   * @member {array} [dnsResourceReferences] The result of dns resource
   * reference request. A list of dns resource references for each of the azure
   * resource in the request
   */
  constructor() {
  }

  /**
   * Defines the metadata of DnsResourceReferenceResult
   *
   * @returns {object} metadata of DnsResourceReferenceResult
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'DnsResourceReferenceResult',
      type: {
        name: 'Composite',
        className: 'DnsResourceReferenceResult',
        modelProperties: {
          dnsResourceReferences: {
            required: false,
            serializedName: 'properties.dnsResourceReferences',
            type: {
              name: 'Sequence',
              element: {
                  required: false,
                  serializedName: 'DnsResourceReferenceElementType',
                  type: {
                    name: 'Composite',
                    className: 'DnsResourceReference'
                  }
              }
            }
          }
        }
      }
    };
  }
}

module.exports = DnsResourceReferenceResult;
